# Package org.apache.mina.filter.query

Interface Summary
Interface | Description
--- | ---
Request | A request message, which should be responded by a `Response`.
Response | A message which can be possibly a response to a request.

Class Summary
Class | Description
--- | ---
RequestFilter<REQUEST extends Request,RESPONSE extends Response> | A filter providing `IoFuture` for request/response protocol.

Exception Summary
Exception | Description
--- | ---
RequestTimeoutException | An exception occurring when the request took too much time.